Batch get documents by IDs
curl --request POST \
--url https://api.mixpeek.com/v1/documents/batch-get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document_ids": [
"<string>"
],
"return_presigned_urls": false
}
'import requests
url = "https://api.mixpeek.com/v1/documents/batch-get"
payload = {
"document_ids": ["<string>"],
"return_presigned_urls": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({document_ids: ['<string>'], return_presigned_urls: false})
};
fetch('https://api.mixpeek.com/v1/documents/batch-get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"documents": [
{
"document_id": "<string>",
"collection_id": "<string>",
"document_blobs": [
{
"field": "<string>",
"url": "<string>",
"role": "source",
"type": "other",
"filename": "segment_0.mp4",
"size_bytes": 1048576,
"content_type": "video/mp4",
"checksum": "sha256:a1b2c3d4e5f6...",
"created_at": "2023-11-07T05:31:56Z",
"source_blob_id": "blob_abc123",
"presigned_url": "<string>"
}
],
"_internal": {
"collection_id": "col_articles",
"created_at": "2025-10-31T10:00:00Z",
"document_id": "doc_f8966ff29c",
"internal_id": "org_abc123",
"lineage": {
"path": "bkt_content/col_articles",
"root_bucket_id": "bkt_content",
"root_object_id": "obj_article_001",
"source_object_id": "obj_article_001",
"source_type": "bucket"
},
"metadata": {
"ingestion_status": "COMPLETED"
},
"modality": "text",
"namespace_id": "ns_xyz789",
"updated_at": "2025-10-31T10:00:00Z"
}
}
],
"not_found": [
"<string>"
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Documents
Batch get documents by IDs
Batch retrieve multiple documents by their IDs.
Returns documents and a list of IDs that were not found. Maximum 1000 document IDs per request.
POST
/
v1
/
documents
/
batch-get
Batch get documents by IDs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
List documents across all collections (namespace-scoped).Run multiple list-documents queries concurrently.
⌘I

